﻿@model eCommerce.Services.Model.DeliveryOrder
@using eCommerce.Services.Model
@{
    ViewBag.Title = "Entrega de Mercadería";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
    
}

<div class="page-header">
    <h1 class="page-title">Entrega de Mercadería</h1>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("DeliveryOrderUpdate", "DeliveryOrders", FormMethod.Post, new { @class = "validation", @autocomplete = "off", @id = "deliveryForm", @enctype = "multipart/form-data" }))
                    {
                        <input type="hidden" name="deliveryOrderId" value="@Model.DeliveryOrderId" />
                        <div class="row">
                            <div class="form-group col-sm-3">
                                <label class="control-label">Fecha de Entrega</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="icon wb-calendar" aria-hidden="true"></i>
                                    </span>
                                    <input type="text" class="form-control DateInput" name="Date" value="@(Model.Date != DateTime.MinValue? Model.Date.ToShortDateString():string.Empty)" />
                                </div>
                            </div>
                            <div class="form-group col-sm-2">
                                <label class="control-label">Número de Remito</label>
                                <input type="text" class="form-control" name="ReferNumber" value="@(Model.ReferNumber)" />
                            </div>
                            <div class="form-group col-sm-2">
                                <label class="control-label">#Orden de Compra</label>
                                <input type="text" class="form-control" name="OrderId" value="@Model.Order.OrderId" readonly />
                            </div>
                            <div class="form-group col-sm-5">
                                <label class="control-label">Cliente</label>
                                <input type="text" class="form-control" value="@Model.Order.Customer.FullName" readonly />
                            </div>
                            <div class="form-group col-sm-8" >
                                <label class="control-label">Comentario</label>
                                <textarea class="form-control" name="Comment" rows="3" placeholder="(Opcional)" style="resize:none">@(Model.Comment)</textarea>
                            </div>
                            <div class="form-group col-sm-4">
                                <label class="control-label">Nro. Guía de Entrega</label>
                                <input type="file" name="image" id="image" data-plugin="dropify" data-default-file="@ViewData["Image"]" />
                            </div>
                        </div>
                        <div class="row">
                            @if (Model.DeliveryOrderDetails.Count != 0)
                            {
                                Html.RenderPartial("_DeliveryOrderDetailUpdateTable", Model);
                            }
                            else
                            {
                                Html.RenderPartial("_DeliveryOrderUpdateTable", Model.Order);
                            }
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default"
                                    onclick="window.location.href = '/DeliveryOrders/DeliveryOrderList/@Model.Order.OrderId'">
                                Cancelar
                            </button>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>
<style>
    .dropify-wrapper {
        height:80px;
    }
</style>
@section Scripts {

    <script type="text/javascript" src="~/Scripts/DeliveryOrders/DeliveryOrderUpdate.js"></script>

}